Holger's Java API

## com.antelmann.math
Enum SIBaseUnit

    java.lang.Object
      java.lang.Enum<SIBaseUnit>
          com.antelmann.math.SIBaseUnit

All Implemented Interfaces:
  Unit, Localizable, Wrapped<DefaultUnit>, Serializable, Comparable<SIBaseUnit>

    public enum SIBaseUnit

extends Enum<SIBaseUnit>
implements Unit, Wrapped<DefaultUnit>

represents a standard SI base unit.

Since:
  04.06.2009, 02:22:20
Author:
  Holger Antelmann
See Also:
  `SIBaseUnitType`

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.util.Localizable
`Localizable.Adapter`

Enum Constant Summary
`AMPERE`
`CANDELA`
`KELVIN`
`KILOGRAM`
`METER`
`MOLE`
`SECOND`

Method Summary
`static SIBaseUnit` `fromType(SIBaseUnitType type)`
`Locale` `getLocale()` allows access to the Locale that this instance currently uses to localize its messages,
`SIBaseUnitType` `getType()`
`String` `getUnitName()` provides the fully spelled name for this unit
`String` `getUnitSymbol()` provides a short symbolic representation of this unit
`void` `setLocale(Locale locale, Object context)` sets the Locale for this object so that all subsequent return values of method calls to this instance can be localized accordingly until a different Locale is set.
`String` `toString()`
`DefaultUnit` `unwrap()` returns the embedded instance that this wrapper encloses
`static SIBaseUnit` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SIBaseUnit[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### METER

    public static final SIBaseUnit METER

### KILOGRAM

    public static final SIBaseUnit KILOGRAM

### SECOND

    public static final SIBaseUnit SECOND

### AMPERE

    public static final SIBaseUnit AMPERE

### KELVIN

    public static final SIBaseUnit KELVIN

### MOLE

    public static final SIBaseUnit MOLE

### CANDELA

    public static final SIBaseUnit CANDELA

Method Detail

### values

    public static SIBaseUnit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SIBaseUnit c : SIBaseUnit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SIBaseUnit valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### unwrap

    public DefaultUnit unwrap()

  Description copied from interface: `Wrapped`
  returns the embedded instance that this wrapper encloses

  Specified by:
    `unwrap` in interface `Wrapped<DefaultUnit>`

### getLocale

    public Locale getLocale()

  Description copied from interface: `Localizable`
  allows access to the Locale that this instance currently uses to localize its messages,

  Specified by:
    `getLocale` in interface `Localizable`
  Returns:
    the current Locale that this instance uses to determine return values for its methods; if null is returned, this instance is expected to use the default Locale of the system.
  See Also:
    `Localizable.setLocale(Locale, Object)`

### setLocale

    public void setLocale(Locale locale,
                          Object context)

  Description copied from interface: `Localizable`
  sets the Locale for this object so that all subsequent return values of method calls to this instance can be localized accordingly until a different Locale is set.

  Specified by:
    `setLocale` in interface `Localizable`
  Parameters:
    `locale` - the Locale that is to be used to determine return values for all methods of this instance; if set to null, the default locale is to be used.
    `context` - a context that may be required for this instance to load the resources for the given locale; this context may be null for objects that do not require an external context. Examples of a context may be a database, a resource file, some map or no context at all.
  See Also:
    `Localizable.getLocale()`

### getUnitSymbol

    public String getUnitSymbol()

  Description copied from interface: `Unit`
  provides a short symbolic representation of this unit

  Specified by:
    `getUnitSymbol` in interface `Unit`

### getUnitName

    public String getUnitName()

  Description copied from interface: `Unit`
  provides the fully spelled name for this unit

  Specified by:
    `getUnitName` in interface `Unit`

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<SIBaseUnit>`

### getType

    public final SIBaseUnitType getType()

### fromType

    public static SIBaseUnit fromType(SIBaseUnitType type)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads